---
title: Gamepad.connected
slug: Web/API/Gamepad/connected
tags:
  - API
  - Gamepad API
  - Games
  - NeedsBetterSpecLink
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<p>{{APIRef("Gamepad API")}}</p>

<p>The <code><strong>Gamepad.connected</strong></code> property of the {{domxref("Gamepad") }} interface returns a boolean indicating whether the gamepad is still connected to the system.</p>

<p>If the gamepad is connected, the value is <code>true</code>; if not, it is <code>false</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><span class="idlInterface" id="idl-def-Gamepad"><span class="idlAttribute"> readonly    attribute <span class="idlAttrType">boolean</span>             <span class="idlAttrName">connected</span>;</span></span></pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var gp = navigator.getGamepads()[0];
console.log(gp.connected);</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("boolean")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName("Gamepad", "#dom-gamepad-connected", "Gamepad.connected")}}</td>
			<td>{{Spec2("Gamepad")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gamepad.connected")}}</p>

<h2 id="See_also">See also</h2>

<p><a href="/en-US/docs/Web/Guide/API/Gamepad">Using the Gamepad API</a></p>
